<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'liteerp',

    /*
     * Package.
     */
    'package'   => 'patient',

    /*
     * Modules.
     */
    'modules'   => ['contact'],

    
    'contact'       => [
        'model' => [
            'model'                 => \Liteerp\Patient\Models\Contact::class,
            'table'                 => 'contacts',
            'presenter'             => \Liteerp\Patient\Repositories\Presenter\ContactPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'patient_id',  'country',  'name',  'email',  'mobile',  'phone',  'fax',  'building',  'street',  'city',  'state',  'zip',  'default',  'responsible',  'type',  'waiverings',  'mailings',  'callings',  'textings',  'emailings',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'patient/contact',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Liteerp',
            'package'   => 'Patient',
            'module'    => 'Contact',
        ],

    ],
];
