<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateContactsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: contacts
         */
        Schema::create('contacts', function ($table) {
            $table->increments('id');
            $table->integer('patient_id')->nullable();
            $table->integer('country')->nullable();
            $table->string('name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('mobile', 20)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('fax', 100)->nullable();
            $table->string('building', 255)->nullable();
            $table->string('street', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('zip', 10)->nullable();
            $table->enum('default', ['Yes','No'])->nullable();
            $table->enum('responsible', ['Yes','No'])->nullable();
            $table->enum('type', ['mother','father','parent','brother','sister','daughter','child','friend','spouse','partner','assistant','manager','other'])->nullable();
            $table->enum('waiverings', ['Yes','No'])->nullable();
            $table->enum('mailings', ['Yes','No'])->nullable();
            $table->enum('callings', ['Yes','No'])->nullable();
            $table->enum('textings', ['Yes','No'])->nullable();
            $table->enum('emailings', ['Yes','No'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('contacts');
    }
}
